Package: grails.web.mapping

## [Java] Interface UrlMappingParser

-     public interface UrlMappingParser

  Parses a Grails URL mapping into a UrlMappingData object that holds various information about the mapping

  A Grails URL pattern is not a regex, but is an extension to the form defined by Apache Ant and used by Spring AntPathMatcher. Unlike regular Ant paths Grails URL patterns allow for capturing groups in the form:

  `/blog/(*)/**`

  The parenthesis define a capturing group. This implementation transforms regular Ant paths into regular expressions that are able to use capturing groups

  Authors:
    Graeme Rocher
  Since:
    0.5

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public UrlMappingData` | `parse(java.lang.String url)` Parses the given URI pattern into a UrlMappingData instance

- - ### Method Detail

    - #### public UrlMappingData parse(java.lang.String url)

      Parses the given URI pattern into a UrlMappingData instance

      Parameters:
        `url` - The URL pattern to parse
      Returns:
        The UrlMappingData instance